Starciad.SABMinigameEngine 1.0.2

dotnet add package Starciad.SABMinigameEngine --version 1.0.2                
NuGet\Install-Package Starciad.SABMinigameEngine -Version 1.0.2                
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Starciad.SABMinigameEngine" Version="1.0.2" />                
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Starciad.SABMinigameEngine --version 1.0.2                
#r "nuget: Starciad.SABMinigameEngine, 1.0.2"                
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Starciad.SABMinigameEngine as a Cake Addin
#addin nuget:?package=Starciad.SABMinigameEngine&version=1.0.2

// Install Starciad.SABMinigameEngine as a Cake Tool
#tool nuget:?package=Starciad.SABMinigameEngine&version=1.0.2                

✨ Star Arising Bot ✨

Minigame Engine

An Open-Source engine made for the Bot Star Arising Bot as an uncomplicated way to create new Minigames quickly without much work and in an intuitive and versatile way.

In addition to creating minigames, it provides an extensive range of different configuration options for each scenario or specific need, in addition to dealing very well with high information traffic.

📗 Documentation

For more information on the documentation, see here.

📥 Installation

⚠️ ➥ Warning: If you are interested, you can download this framework to use in your projects, but check if it will really be useful to you considering its main function.

Before downloading, see the requirements

  • You need to have Visual Studio 2019 (minimum version is 16.11.9) installed on your machine.
  • You need to have Git installed on your machine.
  • You need to have the DSharpPlus library included in the project.
  • You will need SDKs for .NET 4.5, 4.6, and 4.7.

Now that you're probably all right, you can download this package from (Nuget)[]. The latest version will always be available for download.

⚠️ ➥ As this framework is under development, changes without warnings may occur, so always stay tuned for the latest news to see what has changed.

Product Compatible and additional computed target framework versions.
.NET net5.0 is compatible.  net5.0-windows was computed.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.0.2 119 2/8/2022
1.0.1 122 2/7/2022
1.0.0 124 2/7/2022